import { CommonModule } from '@angular/common';
import { NgModule } from '@angular/core';
import { FormsModule } from '@angular/forms';
import { ButtonsModule } from 'ng2-bootstrap/components/buttons';
import { ModalModule } from 'angular2-modal';
import { BootstrapModalModule } from 'angular2-modal/plugins/bootstrap';

// for standard export at bottom
import { FaWindowComponent, FaComponent, FaInputComponent } from './components';
import { FaNamesService, FaSelectService } from './services';

// for manual imports
export * from './components';
export * from './services';

// require css bootstrap/font-awesome
// require module ModalModule.forRoot()
@NgModule({
  declarations: [
    FaWindowComponent,
    FaComponent,
    FaInputComponent,
  ],
  imports: [
    CommonModule,
    FormsModule,
    ButtonsModule,
    ModalModule.withComponents([FaWindowComponent]),
    BootstrapModalModule,
  ],
  exports: [
    FormsModule,
    FaWindowComponent,
    FaComponent,
    FaInputComponent,
  ],
  providers: [
    FaNamesService,
    FaSelectService,
  ],
})
export class FaInputModule { }
